=== debian/changelog ===
keyleds (0.8.0.1-1) unstable; urgency=medium

  * Updated upstream to v0.8.0.1.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Fri, 01 Feb 2019 22:34:32 +0000

keyleds (0.8.0-1) unstable; urgency=medium

  * Updated upstream to v0.8.0.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Fri, 01 Feb 2019 20:46:17 +0000

keyleds (0.7.9-1) unstable; urgency=medium

  * Updated upstream to v0.7.9.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sat, 17 Nov 2018 15:04:10 +0000

keyleds (0.7.8.1-1) unstable; urgency=medium

  * Updated upstream to v0.7.8.1.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sun, 16 Sep 2018 17:16:36 +0000

keyleds (0.7.8-1) unstable; urgency=medium

  * Updated upstream to v0.7.8.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sun, 16 Sep 2018 13:58:27 +0000

keyleds (0.7.7-1) unstable; urgency=medium

  * Updated upstream to v0.7.7.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Wed, 29 Aug 2018 14:08:18 +0000

keyleds (0.7.6-1) unstable; urgency=medium

  * Updated upstream to v0.7.6.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sat, 28 Jul 2018 13:25:12 +0000

keyleds (0.7.5-1) unstable; urgency=medium

  * Updated upstream to v0.7.5.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Thu, 22 Mar 2018 22:47:41 +0000

keyleds (0.7.4-1) unstable; urgency=medium

  * Updated upstream to v0.7.4.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sun, 28 Jan 2018 14:02:47 +0000

keyleds (0.7.3-1) unstable; urgency=medium

  * Updated upstream to v0.7.3.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sat, 27 Jan 2018 00:05:02 +0000

keyleds (0.7.1-1) unstable; urgency=medium

  * Updated upstream to v0.7.1.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Wed, 15 Nov 2017 13:00:10 +0000

keyleds (0.7.0-1) unstable; urgency=medium

  * Updated upstream to v0.7.0.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sat, 27 Oct 2017 12:19:42 +0000

keyleds (0.6.2-1) unstable; urgency=medium

  * Updated upstream to v0.6.2.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sat, 14 Oct 2017 19:07:33 +0000

keyleds (0.6.1-1) unstable; urgency=medium

  * Updated upstream to v0.6.1.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sun, 08 Oct 2017 22:02:01 +0000

keyleds (0.6.0-1) unstable; urgency=medium

  * Updated upstream to v0.6.0.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sat, 07 Oct 2017 21:30:52 +0000

keyleds (0.5.0-1) unstable; urgency=medium

  * Updated upstream to v0.5.0.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Sun, 24 Sep 2017 19:42:54 +0000

keyleds (0.4.3-1) unstable; urgency=medium

  * Updated upstream to v0.4.3.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Thu, 21 Sep 2017 01:20:01 +0000

keyleds (0.4.2-1) unstable; urgency=medium

  * Updated upstream to v0.4.2.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Fri, 15 Sep 2017 16:09:29 +0000

keyleds (0.4.1-1) unstable; urgency=medium

  * Updated upstream to v0.4.1.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Tue, 29 Aug 2017 09:17:51 +0000

keyleds (0.4-1) unstable; urgency=medium

  * Updated upstream to v0.4.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Mon, 07 Aug 2017 14:20:12 +0000

keyleds (0.3.2-1) unstable; urgency=medium

  * Updated udev rules to use user access instead of ubuntu-specific plugdev
    group.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Wed, 02 Aug 2017 14:04:57 +0000

keyleds (0.3.1-1) unstable; urgency=medium

  * Fixed build error on 32-bit architectures.
  * Enabled MMX/SSE2 acceleration on i686

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Tue, 01 Aug 2017 23:00:43 +0000

keyleds (0.3-2) unstable; urgency=medium

  * Fixed build dependencies

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Tue, 01 Aug 2017 19:23:12 +0000

keyleds (0.3-1) unstable; urgency=medium

  * Refactored layout loading
  * Added wave plugin.

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Tue, 01 Aug 2017 16:25:39 +0000

keyleds (0.2-1) unstable; urgency=medium

  * Initial release with keyledsd (Closes: #868953)

 -- Julien Hartmann <juli1.hartmann@gmail.com>  Tue, 25 Jul 2017 16:22:14 +0000
