=== debian/control ===
Source: keyleds
Section: utils
Priority: optional
Maintainer: Julien Hartmann <juli1.hartmann@gmail.com>
Build-Depends: debhelper (>=10), cmake, pkg-config, linux-libc-dev, libudev-dev, libx11-dev, libxi-dev, libxml2-dev, libyaml-dev, libluajit-5.1-dev, libuv1-dev, libsystemd-dev
Standards-Version: 3.9.8
Homepage: https://github.com/spectras/keyleds
#Vcs-Git: https://github.com/spectras/keyleds.git

Package: keyleds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logitech Keyboard per-key lighting control
 Userspace service for Logitech keyboards with per-key RGB LEDs.
 The following features are supported:
  - Flexible per-application RGB settings with key groups.
  - Can react to window title changes, switching profiles based on current
    webpage in browser or open file extension in editors.
  - Native animation plugins: fixed colors, keypress feedback, breathe, wave,
    stars.
  - Build your effects using LUA scripting.
  - Several plugins can be active at once, and composited with alpha blending
    to build complex effects.
  - Systemd session support, detecting user switches so multiple users can use
    the service without them fighting over keyboard control.
  - DBus interface for scripting.

Package: keyleds-dev
Architecture: any
Depends: keyleds, ${misc:Depends}
Description: Logitech Keyboard per-key lighting control - headers
 Development headers for the library implementing Logitech protocol.
 The following features are supported:
  - Inspection of device capabilities and led configuration.
  - Individual key led control (set and get).
  - Translation between led identifiers and keycodes.
  - Game-mode configuration
  - Report rate configuration
